// java wrapper for vtkQuadratureSchemeDefinition object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkQuadratureSchemeDefinition.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkQuadratureSchemeDefinition_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkQuadratureSchemeDefinition",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkQuadratureSchemeDefinition_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkQuadratureSchemeDefinition *op;
  const char    *temp20;

  op = (vtkQuadratureSchemeDefinition *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadratureSchemeDefinition_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkQuadratureSchemeDefinition *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkQuadratureSchemeDefinition *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkQuadratureSchemeDefinition_DICTIONARY_12(JNIEnv *env, jobject obj)
{
  vtkQuadratureSchemeDefinition *op;
  vtkInformationQuadratureSchemeDefinitionVectorKey  *temp20;

  op = (vtkQuadratureSchemeDefinition *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DICTIONARY();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadratureSchemeDefinition_DeepCopy_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkQuadratureSchemeDefinition *op;
  vtkQuadratureSchemeDefinition  *temp0;
  int      temp20;
  temp0 = (vtkQuadratureSchemeDefinition *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkQuadratureSchemeDefinition *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DeepCopy(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadratureSchemeDefinition_SaveState_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkQuadratureSchemeDefinition *op;
  vtkXMLDataElement  *temp0;
  int      temp20;
  temp0 = (vtkXMLDataElement *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkQuadratureSchemeDefinition *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SaveState(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadratureSchemeDefinition_RestoreState_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkQuadratureSchemeDefinition *op;
  vtkXMLDataElement  *temp0;
  int      temp20;
  temp0 = (vtkXMLDataElement *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkQuadratureSchemeDefinition *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RestoreState(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadratureSchemeDefinition_Clear_16(JNIEnv *env, jobject obj)
{
  vtkQuadratureSchemeDefinition *op;

  op = (vtkQuadratureSchemeDefinition *)vtkJavaGetPointerFromObject(env,obj);
  op->Clear();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadratureSchemeDefinition_GetCellType_17(JNIEnv *env, jobject obj)
{
  vtkQuadratureSchemeDefinition *op;
  int      temp20;

  op = (vtkQuadratureSchemeDefinition *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadratureSchemeDefinition_GetQuadratureKey_18(JNIEnv *env, jobject obj)
{
  vtkQuadratureSchemeDefinition *op;
  int      temp20;

  op = (vtkQuadratureSchemeDefinition *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetQuadratureKey();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadratureSchemeDefinition_GetNumberOfNodes_19(JNIEnv *env, jobject obj)
{
  vtkQuadratureSchemeDefinition *op;
  int      temp20;

  op = (vtkQuadratureSchemeDefinition *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfNodes();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadratureSchemeDefinition_GetNumberOfQuadraturePoints_110(JNIEnv *env, jobject obj)
{
  vtkQuadratureSchemeDefinition *op;
  int      temp20;

  op = (vtkQuadratureSchemeDefinition *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfQuadraturePoints();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkQuadratureSchemeDefinition_VTKInit(JNIEnv *, jobject)
{
  vtkQuadratureSchemeDefinition *aNewOne = vtkQuadratureSchemeDefinition::New();
  return (jlong)(size_t)(void*)aNewOne;
}
