// python wrapper for vtkGeoGraphRepresentation2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoGraphRepresentation2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoGraphRepresentation2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoGraphRepresentation2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataRepresentationNew(char *); }

static PyObject *PyvtkGeoGraphRepresentation2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  const char    *temp20;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  vtkGeoGraphRepresentation2D  *temp20;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeoGraphRepresentation2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeoGraphRepresentation2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_SetInputConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation2D::SetInputConnection(temp0);
      }
    else
      {
      op->SetInputConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_SetVertexLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  char    *temp0;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation2D::SetVertexLabelArrayName(temp0);
      }
    else
      {
      op->SetVertexLabelArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_GetVertexLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  const char    *temp20;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation2D::GetVertexLabelArrayName();
      }
    else
      {
      temp20 = op->GetVertexLabelArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_SetVertexLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  bool   temp0;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation2D::SetVertexLabelVisibility(temp0);
      }
    else
      {
      op->SetVertexLabelVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_GetVertexLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  bool   temp20;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation2D::GetVertexLabelVisibility();
      }
    else
      {
      temp20 = op->GetVertexLabelVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_VertexLabelVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation2D::VertexLabelVisibilityOn();
      }
    else
      {
      op->VertexLabelVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_VertexLabelVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation2D::VertexLabelVisibilityOff();
      }
    else
      {
      op->VertexLabelVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_SetLatitudeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  char    *temp0;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation2D::SetLatitudeArrayName(temp0);
      }
    else
      {
      op->SetLatitudeArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_GetLatitudeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  const char    *temp20;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation2D::GetLatitudeArrayName();
      }
    else
      {
      temp20 = op->GetLatitudeArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_SetLongitudeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  char    *temp0;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation2D::SetLongitudeArrayName(temp0);
      }
    else
      {
      op->SetLongitudeArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_GetLongitudeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  const char    *temp20;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation2D::GetLongitudeArrayName();
      }
    else
      {
      temp20 = op->GetLongitudeArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_SetVertexLabelFontSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  int      temp0;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation2D::SetVertexLabelFontSize(temp0);
      }
    else
      {
      op->SetVertexLabelFontSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_GetVertexLabelFontSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  int      temp20;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation2D::GetVertexLabelFontSize();
      }
    else
      {
      temp20 = op->GetVertexLabelFontSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_SetColorVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  bool   temp0;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation2D::SetColorVertices(temp0);
      }
    else
      {
      op->SetColorVertices(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_GetColorVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  bool   temp20;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation2D::GetColorVertices();
      }
    else
      {
      temp20 = op->GetColorVertices();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_ColorVerticesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation2D::ColorVerticesOn();
      }
    else
      {
      op->ColorVerticesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_ColorVerticesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation2D::ColorVerticesOff();
      }
    else
      {
      op->ColorVerticesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_SetVertexColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  char    *temp0;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation2D::SetVertexColorArrayName(temp0);
      }
    else
      {
      op->SetVertexColorArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_GetVertexColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  const char    *temp20;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation2D::GetVertexColorArrayName();
      }
    else
      {
      temp20 = op->GetVertexColorArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_SetEdgeLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  bool   temp0;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation2D::SetEdgeLabelVisibility(temp0);
      }
    else
      {
      op->SetEdgeLabelVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_GetEdgeLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  bool   temp20;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation2D::GetEdgeLabelVisibility();
      }
    else
      {
      temp20 = op->GetEdgeLabelVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_EdgeLabelVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation2D::EdgeLabelVisibilityOn();
      }
    else
      {
      op->EdgeLabelVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_EdgeLabelVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation2D::EdgeLabelVisibilityOff();
      }
    else
      {
      op->EdgeLabelVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_SetEdgeLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  char    *temp0;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation2D::SetEdgeLabelArrayName(temp0);
      }
    else
      {
      op->SetEdgeLabelArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_GetEdgeLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  const char    *temp20;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation2D::GetEdgeLabelArrayName();
      }
    else
      {
      temp20 = op->GetEdgeLabelArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_SetEdgeLayoutStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  vtkEdgeLayoutStrategy  *temp0;
  PyObject *tempH0;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkEdgeLayoutStrategy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkEdgeLayoutStrategy");
    if (!temp0 && tempH0 != Py_None) goto break29;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation2D::SetEdgeLayoutStrategy(temp0);
      }
    else
      {
      op->SetEdgeLayoutStrategy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break29:
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_GetEdgeLayoutStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  vtkEdgeLayoutStrategy  *temp20;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation2D::GetEdgeLayoutStrategy();
      }
    else
      {
      temp20 = op->GetEdgeLayoutStrategy();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_SetEdgeLayoutStrategyToArcParallel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation2D::SetEdgeLayoutStrategyToArcParallel();
      }
    else
      {
      op->SetEdgeLayoutStrategyToArcParallel();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_SetEdgeLayoutStrategyToPassThrough(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation2D::SetEdgeLayoutStrategyToPassThrough();
      }
    else
      {
      op->SetEdgeLayoutStrategyToPassThrough();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_SetEdgeLabelFontSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  int      temp0;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation2D::SetEdgeLabelFontSize(temp0);
      }
    else
      {
      op->SetEdgeLabelFontSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_GetEdgeLabelFontSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  int      temp20;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation2D::GetEdgeLabelFontSize();
      }
    else
      {
      temp20 = op->GetEdgeLabelFontSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_SetColorEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  bool   temp0;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation2D::SetColorEdges(temp0);
      }
    else
      {
      op->SetColorEdges(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_GetColorEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  bool   temp20;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation2D::GetColorEdges();
      }
    else
      {
      temp20 = op->GetColorEdges();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_ColorEdgesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation2D::ColorEdgesOn();
      }
    else
      {
      op->ColorEdgesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_ColorEdgesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation2D::ColorEdgesOff();
      }
    else
      {
      op->ColorEdgesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_SetEdgeColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  char    *temp0;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation2D::SetEdgeColorArrayName(temp0);
      }
    else
      {
      op->SetEdgeColorArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_GetEdgeColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  const char    *temp20;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation2D::GetEdgeColorArrayName();
      }
    else
      {
      temp20 = op->GetEdgeColorArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_SetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  vtkAbstractTransform  *temp0;
  PyObject *tempH0;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractTransform");
    if (!temp0 && tempH0 != Py_None) goto break41;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation2D::SetTransform(temp0);
      }
    else
      {
      op->SetTransform(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break41:
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_GetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  vtkAbstractTransform  *temp20;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation2D::GetTransform();
      }
    else
      {
      temp20 = op->GetTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_ApplyViewTheme(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  vtkViewTheme  *temp0;
  PyObject *tempH0;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewTheme *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewTheme");
    if (!temp0 && tempH0 != Py_None) goto break43;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation2D::ApplyViewTheme(temp0);
      }
    else
      {
      op->ApplyViewTheme(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break43:
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_PrepareForRendering(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation2D::PrepareForRendering();
      }
    else
      {
      op->PrepareForRendering();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_SetUseLabelHierarchy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  bool   temp0;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation2D::SetUseLabelHierarchy(temp0);
      }
    else
      {
      op->SetUseLabelHierarchy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_GetUseLabelHierarchy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  bool   temp20;
  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation2D::GetUseLabelHierarchy();
      }
    else
      {
      temp20 = op->GetUseLabelHierarchy();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_UseLabelHierarchyOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation2D::UseLabelHierarchyOn();
      }
    else
      {
      op->UseLabelHierarchyOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation2D_UseLabelHierarchyOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation2D *op;

  op = (vtkGeoGraphRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation2D::UseLabelHierarchyOff();
      }
    else
      {
      op->UseLabelHierarchyOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeoGraphRepresentation2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoGraphRepresentation2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoGraphRepresentation2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoGraphRepresentation2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoGraphRepresentation2D\nC++: vtkGeoGraphRepresentation2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeoGraphRepresentation2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoGraphRepresentation2D\nC++: vtkGeoGraphRepresentation2D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInputConnection",                (PyCFunction)PyvtkGeoGraphRepresentation2D_SetInputConnection, 1,
   (char*)"V.SetInputConnection(vtkAlgorithmOutput)\nC++: virtual void SetInputConnection (vtkAlgorithmOutput *conn);\n\n Sets the input pipeGraph connection to this representation.\n"},
  {(char*)"SetVertexLabelArrayName",                (PyCFunction)PyvtkGeoGraphRepresentation2D_SetVertexLabelArrayName, 1,
   (char*)"V.SetVertexLabelArrayName(string)\nC++: virtual void SetVertexLabelArrayName (const char *name);\n\n The array to use for vertex labeling.  Default is \"label\".\n"},
  {(char*)"GetVertexLabelArrayName",                (PyCFunction)PyvtkGeoGraphRepresentation2D_GetVertexLabelArrayName, 1,
   (char*)"V.GetVertexLabelArrayName() -> string\nC++: virtual const char *GetVertexLabelArrayName ();\n\n The array to use for vertex labeling.  Default is \"label\".\n"},
  {(char*)"SetVertexLabelVisibility",                (PyCFunction)PyvtkGeoGraphRepresentation2D_SetVertexLabelVisibility, 1,
   (char*)"V.SetVertexLabelVisibility(bool)\nC++: virtual void SetVertexLabelVisibility (bool b);\n\n Whether to show vertex labels.\n"},
  {(char*)"GetVertexLabelVisibility",                (PyCFunction)PyvtkGeoGraphRepresentation2D_GetVertexLabelVisibility, 1,
   (char*)"V.GetVertexLabelVisibility() -> bool\nC++: virtual bool GetVertexLabelVisibility ();\n\n Whether to show vertex labels.\n"},
  {(char*)"VertexLabelVisibilityOn",                (PyCFunction)PyvtkGeoGraphRepresentation2D_VertexLabelVisibilityOn, 1,
   (char*)"V.VertexLabelVisibilityOn()\nC++: void VertexLabelVisibilityOn ();\n\n Whether to show vertex labels.\n"},
  {(char*)"VertexLabelVisibilityOff",                (PyCFunction)PyvtkGeoGraphRepresentation2D_VertexLabelVisibilityOff, 1,
   (char*)"V.VertexLabelVisibilityOff()\nC++: void VertexLabelVisibilityOff ();\n\n Whether to show vertex labels.\n"},
  {(char*)"SetLatitudeArrayName",                (PyCFunction)PyvtkGeoGraphRepresentation2D_SetLatitudeArrayName, 1,
   (char*)"V.SetLatitudeArrayName(string)\nC++: virtual void SetLatitudeArrayName (const char *name);\n\n The point array holding the latitude.\n"},
  {(char*)"GetLatitudeArrayName",                (PyCFunction)PyvtkGeoGraphRepresentation2D_GetLatitudeArrayName, 1,
   (char*)"V.GetLatitudeArrayName() -> string\nC++: virtual const char *GetLatitudeArrayName ();\n\n The point array holding the latitude.\n"},
  {(char*)"SetLongitudeArrayName",                (PyCFunction)PyvtkGeoGraphRepresentation2D_SetLongitudeArrayName, 1,
   (char*)"V.SetLongitudeArrayName(string)\nC++: virtual void SetLongitudeArrayName (const char *name);\n\n The point array holding the longitude.\n"},
  {(char*)"GetLongitudeArrayName",                (PyCFunction)PyvtkGeoGraphRepresentation2D_GetLongitudeArrayName, 1,
   (char*)"V.GetLongitudeArrayName() -> string\nC++: virtual const char *GetLongitudeArrayName ();\n\n The point array holding the longitude.\n"},
  {(char*)"SetVertexLabelFontSize",                (PyCFunction)PyvtkGeoGraphRepresentation2D_SetVertexLabelFontSize, 1,
   (char*)"V.SetVertexLabelFontSize(int)\nC++: void SetVertexLabelFontSize (int size);\n\n The size of the vertex labels in pixels.\n"},
  {(char*)"GetVertexLabelFontSize",                (PyCFunction)PyvtkGeoGraphRepresentation2D_GetVertexLabelFontSize, 1,
   (char*)"V.GetVertexLabelFontSize() -> int\nC++: int GetVertexLabelFontSize ();\n\n The size of the vertex labels in pixels.\n"},
  {(char*)"SetColorVertices",                (PyCFunction)PyvtkGeoGraphRepresentation2D_SetColorVertices, 1,
   (char*)"V.SetColorVertices(bool)\nC++: void SetColorVertices (bool b);\n\n Whether to color vertices using a data array.\n"},
  {(char*)"GetColorVertices",                (PyCFunction)PyvtkGeoGraphRepresentation2D_GetColorVertices, 1,
   (char*)"V.GetColorVertices() -> bool\nC++: bool GetColorVertices ();\n\n Whether to color vertices using a data array.\n"},
  {(char*)"ColorVerticesOn",                (PyCFunction)PyvtkGeoGraphRepresentation2D_ColorVerticesOn, 1,
   (char*)"V.ColorVerticesOn()\nC++: void ColorVerticesOn ();\n\n Whether to color vertices using a data array.\n"},
  {(char*)"ColorVerticesOff",                (PyCFunction)PyvtkGeoGraphRepresentation2D_ColorVerticesOff, 1,
   (char*)"V.ColorVerticesOff()\nC++: void ColorVerticesOff ();\n\n Whether to color vertices using a data array.\n"},
  {(char*)"SetVertexColorArrayName",                (PyCFunction)PyvtkGeoGraphRepresentation2D_SetVertexColorArrayName, 1,
   (char*)"V.SetVertexColorArrayName(string)\nC++: void SetVertexColorArrayName (const char *name);\n\n The data array to use to color vertices.\n"},
  {(char*)"GetVertexColorArrayName",                (PyCFunction)PyvtkGeoGraphRepresentation2D_GetVertexColorArrayName, 1,
   (char*)"V.GetVertexColorArrayName() -> string\nC++: const char *GetVertexColorArrayName ();\n\n The data array to use to color vertices.\n"},
  {(char*)"SetEdgeLabelVisibility",                (PyCFunction)PyvtkGeoGraphRepresentation2D_SetEdgeLabelVisibility, 1,
   (char*)"V.SetEdgeLabelVisibility(bool)\nC++: void SetEdgeLabelVisibility (bool b);\n\n Whether to show edge labels.\n"},
  {(char*)"GetEdgeLabelVisibility",                (PyCFunction)PyvtkGeoGraphRepresentation2D_GetEdgeLabelVisibility, 1,
   (char*)"V.GetEdgeLabelVisibility() -> bool\nC++: bool GetEdgeLabelVisibility ();\n\n Whether to show edge labels.\n"},
  {(char*)"EdgeLabelVisibilityOn",                (PyCFunction)PyvtkGeoGraphRepresentation2D_EdgeLabelVisibilityOn, 1,
   (char*)"V.EdgeLabelVisibilityOn()\nC++: void EdgeLabelVisibilityOn ();\n\n Whether to show edge labels.\n"},
  {(char*)"EdgeLabelVisibilityOff",                (PyCFunction)PyvtkGeoGraphRepresentation2D_EdgeLabelVisibilityOff, 1,
   (char*)"V.EdgeLabelVisibilityOff()\nC++: void EdgeLabelVisibilityOff ();\n\n Whether to show edge labels.\n"},
  {(char*)"SetEdgeLabelArrayName",                (PyCFunction)PyvtkGeoGraphRepresentation2D_SetEdgeLabelArrayName, 1,
   (char*)"V.SetEdgeLabelArrayName(string)\nC++: void SetEdgeLabelArrayName (const char *name);\n\n The data array to use for labelling edges.\n"},
  {(char*)"GetEdgeLabelArrayName",                (PyCFunction)PyvtkGeoGraphRepresentation2D_GetEdgeLabelArrayName, 1,
   (char*)"V.GetEdgeLabelArrayName() -> string\nC++: const char *GetEdgeLabelArrayName ();\n\n The data array to use for labelling edges.\n"},
  {(char*)"SetEdgeLayoutStrategy",                (PyCFunction)PyvtkGeoGraphRepresentation2D_SetEdgeLayoutStrategy, 1,
   (char*)"V.SetEdgeLayoutStrategy(vtkEdgeLayoutStrategy)\nC++: virtual void SetEdgeLayoutStrategy (vtkEdgeLayoutStrategy *strategy);\n\n The edge layout strategy to use.\n The default is vtkArcParallelEdgeStrategy.\n"},
  {(char*)"GetEdgeLayoutStrategy",                (PyCFunction)PyvtkGeoGraphRepresentation2D_GetEdgeLayoutStrategy, 1,
   (char*)"V.GetEdgeLayoutStrategy() -> vtkEdgeLayoutStrategy\nC++: virtual vtkEdgeLayoutStrategy *GetEdgeLayoutStrategy ();\n\n The edge layout strategy to use.\n The default is vtkArcParallelEdgeStrategy.\n"},
  {(char*)"SetEdgeLayoutStrategyToArcParallel",                (PyCFunction)PyvtkGeoGraphRepresentation2D_SetEdgeLayoutStrategyToArcParallel, 1,
   (char*)"V.SetEdgeLayoutStrategyToArcParallel()\nC++: virtual void SetEdgeLayoutStrategyToArcParallel ();\n\n The edge layout strategy to use.\n The default is vtkArcParallelEdgeStrategy.\n"},
  {(char*)"SetEdgeLayoutStrategyToPassThrough",                (PyCFunction)PyvtkGeoGraphRepresentation2D_SetEdgeLayoutStrategyToPassThrough, 1,
   (char*)"V.SetEdgeLayoutStrategyToPassThrough()\nC++: virtual void SetEdgeLayoutStrategyToPassThrough ();\n\n The edge layout strategy to use.\n The default is vtkArcParallelEdgeStrategy.\n"},
  {(char*)"SetEdgeLabelFontSize",                (PyCFunction)PyvtkGeoGraphRepresentation2D_SetEdgeLabelFontSize, 1,
   (char*)"V.SetEdgeLabelFontSize(int)\nC++: void SetEdgeLabelFontSize (int size);\n\n The size of edge labels in pixels.\n"},
  {(char*)"GetEdgeLabelFontSize",                (PyCFunction)PyvtkGeoGraphRepresentation2D_GetEdgeLabelFontSize, 1,
   (char*)"V.GetEdgeLabelFontSize() -> int\nC++: int GetEdgeLabelFontSize ();\n\n The size of edge labels in pixels.\n"},
  {(char*)"SetColorEdges",                (PyCFunction)PyvtkGeoGraphRepresentation2D_SetColorEdges, 1,
   (char*)"V.SetColorEdges(bool)\nC++: void SetColorEdges (bool b);\n\n Whether to color edges using a data array.\n"},
  {(char*)"GetColorEdges",                (PyCFunction)PyvtkGeoGraphRepresentation2D_GetColorEdges, 1,
   (char*)"V.GetColorEdges() -> bool\nC++: bool GetColorEdges ();\n\n Whether to color edges using a data array.\n"},
  {(char*)"ColorEdgesOn",                (PyCFunction)PyvtkGeoGraphRepresentation2D_ColorEdgesOn, 1,
   (char*)"V.ColorEdgesOn()\nC++: void ColorEdgesOn ();\n\n Whether to color edges using a data array.\n"},
  {(char*)"ColorEdgesOff",                (PyCFunction)PyvtkGeoGraphRepresentation2D_ColorEdgesOff, 1,
   (char*)"V.ColorEdgesOff()\nC++: void ColorEdgesOff ();\n\n Whether to color edges using a data array.\n"},
  {(char*)"SetEdgeColorArrayName",                (PyCFunction)PyvtkGeoGraphRepresentation2D_SetEdgeColorArrayName, 1,
   (char*)"V.SetEdgeColorArrayName(string)\nC++: void SetEdgeColorArrayName (const char *name);\n\n The data array to use for coloring edges.\n"},
  {(char*)"GetEdgeColorArrayName",                (PyCFunction)PyvtkGeoGraphRepresentation2D_GetEdgeColorArrayName, 1,
   (char*)"V.GetEdgeColorArrayName() -> string\nC++: const char *GetEdgeColorArrayName ();\n\n The data array to use for coloring edges.\n"},
  {(char*)"SetTransform",                (PyCFunction)PyvtkGeoGraphRepresentation2D_SetTransform, 1,
   (char*)"V.SetTransform(vtkAbstractTransform)\nC++: void SetTransform (vtkAbstractTransform *trans);\n\n The transform used in vtkGeoAssignCoordinates to transform\n the vertex locations from lat/long to world coordinates.\n"},
  {(char*)"GetTransform",                (PyCFunction)PyvtkGeoGraphRepresentation2D_GetTransform, 1,
   (char*)"V.GetTransform() -> vtkAbstractTransform\nC++: vtkAbstractTransform *GetTransform ();\n\n The transform used in vtkGeoAssignCoordinates to transform\n the vertex locations from lat/long to world coordinates.\n"},
  {(char*)"ApplyViewTheme",                (PyCFunction)PyvtkGeoGraphRepresentation2D_ApplyViewTheme, 1,
   (char*)"V.ApplyViewTheme(vtkViewTheme)\nC++: void ApplyViewTheme (vtkViewTheme *theme);\n\n Apply a theme to this view.\n"},
  {(char*)"PrepareForRendering",                (PyCFunction)PyvtkGeoGraphRepresentation2D_PrepareForRendering, 1,
   (char*)"V.PrepareForRendering()\nC++: virtual void PrepareForRendering ();\n\n Called by the view when the renderer is about to render.\n"},
  {(char*)"SetUseLabelHierarchy",                (PyCFunction)PyvtkGeoGraphRepresentation2D_SetUseLabelHierarchy, 1,
   (char*)"V.SetUseLabelHierarchy(bool)\nC++: void SetUseLabelHierarchy (bool b);\n\n When on uses vtkLabelPlacer otherwise use older vtkDynamic2DLabelMapper, \n which has O(n^2) preprocessing time.\n"},
  {(char*)"GetUseLabelHierarchy",                (PyCFunction)PyvtkGeoGraphRepresentation2D_GetUseLabelHierarchy, 1,
   (char*)"V.GetUseLabelHierarchy() -> bool\nC++: bool GetUseLabelHierarchy ();\n\n When on uses vtkLabelPlacer otherwise use older vtkDynamic2DLabelMapper, \n which has O(n^2) preprocessing time.\n"},
  {(char*)"UseLabelHierarchyOn",                (PyCFunction)PyvtkGeoGraphRepresentation2D_UseLabelHierarchyOn, 1,
   (char*)"V.UseLabelHierarchyOn()\nC++: void UseLabelHierarchyOn ();\n\n When on uses vtkLabelPlacer otherwise use older vtkDynamic2DLabelMapper, \n which has O(n^2) preprocessing time.\n"},
  {(char*)"UseLabelHierarchyOff",                (PyCFunction)PyvtkGeoGraphRepresentation2D_UseLabelHierarchyOff, 1,
   (char*)"V.UseLabelHierarchyOff()\nC++: void UseLabelHierarchyOff ();\n\n When on uses vtkLabelPlacer otherwise use older vtkDynamic2DLabelMapper, \n which has O(n^2) preprocessing time.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoGraphRepresentation2DDoc[] = {
  (char*)"vtkGeoGraphRepresentation2D - Displays a graph on a 2D earth view.\n\n",
  "Super Class:\n\n vtkDataRepresentation\n\n",
  (char*)" vtkGeoGraphRepresentation2D is used to show a graph in a 2D geo view.\n Set the graph input with SetInputConnection(), set the projection of the\n view with SetTransform(), then add the representation to a vtkGeoView2D.\n\n\n",
  "See Also:\n\n vtkGeoView2D\n\n",
  NULL
};

static vtkObjectBase *vtkGeoGraphRepresentation2DStaticNew()
{
  return vtkGeoGraphRepresentation2D::New();
}

PyObject *PyVTKClass_vtkGeoGraphRepresentation2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeoGraphRepresentation2DStaticNew,
                        PyvtkGeoGraphRepresentation2DMethods,
                        (char*)"vtkGeoGraphRepresentation2D",modulename,
                        (char**)vtkGeoGraphRepresentation2DDoc,
                        PyVTKClass_vtkDataRepresentationNew(modulename));
}

