// java wrapper for vtkQuadraturePointStatistics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkQuadraturePointStatistics.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTableAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkQuadraturePointStatistics_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkQuadraturePointStatistics",dType)) { return me; }
  if ((res= vtkTableAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkQuadraturePointStatistics_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkQuadraturePointStatistics *op;
  const char    *temp20;

  op = (vtkQuadraturePointStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadraturePointStatistics_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkQuadraturePointStatistics *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkQuadraturePointStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkQuadraturePointStatistics_VTKInit(JNIEnv *, jobject)
{
  vtkQuadraturePointStatistics *aNewOne = vtkQuadraturePointStatistics::New();
  return (jlong)(size_t)(void*)aNewOne;
}
