// java wrapper for vtkTableToPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTableToPolyData.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTableToPolyData_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTableToPolyData",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTableToPolyData_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  const char    *temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableToPolyData_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTableToPolyData *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableToPolyData_SetXColumn_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTableToPolyData *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXColumn(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTableToPolyData_GetXColumn_13(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  char    *temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXColumn();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableToPolyData_SetXComponent_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkTableToPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXComponent(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableToPolyData_GetXComponentMinValue_15(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  int      temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXComponentMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableToPolyData_GetXComponentMaxValue_16(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  int      temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXComponentMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableToPolyData_GetXComponent_17(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  int      temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXComponent();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableToPolyData_SetYColumn_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTableToPolyData *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYColumn(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTableToPolyData_GetYColumn_19(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  char    *temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYColumn();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableToPolyData_SetYComponent_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkTableToPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYComponent(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableToPolyData_GetYComponentMinValue_111(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  int      temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYComponentMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableToPolyData_GetYComponentMaxValue_112(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  int      temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYComponentMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableToPolyData_GetYComponent_113(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  int      temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYComponent();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableToPolyData_SetZColumn_114(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTableToPolyData *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZColumn(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTableToPolyData_GetZColumn_115(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  char    *temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZColumn();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableToPolyData_SetZComponent_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkTableToPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZComponent(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableToPolyData_GetZComponentMinValue_117(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  int      temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZComponentMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableToPolyData_GetZComponentMaxValue_118(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  int      temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZComponentMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableToPolyData_GetZComponent_119(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  int      temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZComponent();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTableToPolyData_VTKInit(JNIEnv *, jobject)
{
  vtkTableToPolyData *aNewOne = vtkTableToPolyData::New();
  return (jlong)(size_t)(void*)aNewOne;
}
