// java wrapper for vtkPointSetToLabelHierarchy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPointSetToLabelHierarchy.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkLabelHierarchyAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPointSetToLabelHierarchy_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPointSetToLabelHierarchy",dType)) { return me; }
  if ((res= vtkLabelHierarchyAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPointSetToLabelHierarchy_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPointSetToLabelHierarchy *op;
  const char    *temp20;

  op = (vtkPointSetToLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointSetToLabelHierarchy_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPointSetToLabelHierarchy *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPointSetToLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSetToLabelHierarchy_SetTargetLabelCount_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkPointSetToLabelHierarchy *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPointSetToLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTargetLabelCount(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointSetToLabelHierarchy_GetTargetLabelCount_13(JNIEnv *env, jobject obj)
{
  vtkPointSetToLabelHierarchy *op;
  int      temp20;

  op = (vtkPointSetToLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTargetLabelCount();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSetToLabelHierarchy_SetMaximumDepth_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkPointSetToLabelHierarchy *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPointSetToLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumDepth(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointSetToLabelHierarchy_GetMaximumDepth_15(JNIEnv *env, jobject obj)
{
  vtkPointSetToLabelHierarchy *op;
  int      temp20;

  op = (vtkPointSetToLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumDepth();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPointSetToLabelHierarchy_VTKInit(JNIEnv *, jobject)
{
  vtkPointSetToLabelHierarchy *aNewOne = vtkPointSetToLabelHierarchy::New();
  return (jlong)(size_t)(void*)aNewOne;
}
