// java wrapper for vtkCorrelativeStatistics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCorrelativeStatistics.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkBivariateStatisticsAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCorrelativeStatistics_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCorrelativeStatistics",dType)) { return me; }
  if ((res= vtkBivariateStatisticsAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCorrelativeStatistics_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCorrelativeStatistics *op;
  const char    *temp20;

  op = (vtkCorrelativeStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCorrelativeStatistics_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCorrelativeStatistics *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCorrelativeStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCorrelativeStatistics_VTKInit(JNIEnv *, jobject)
{
  vtkCorrelativeStatistics *aNewOne = vtkCorrelativeStatistics::New();
  return (jlong)(size_t)(void*)aNewOne;
}
